<%-- input_dateTimeTextBox tag --%>
<%@ tag pageEncoding="UTF-8" body-content="empty"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn" %>
<%@ taglib uri="http://www.jasminesoft.co.jp/jfc" prefix="jfc" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="tags" %>
<fmt:setBundle basename="jfcapp"/>

<%@ attribute name="value" required="true" type="java.lang.Object" %>
<%@ attribute name="name" required="true" %>
<%@ attribute name="onchange" %>
<%@ attribute name="onkeydown" %>
<%@ attribute name="dateformat" %>
<%@ attribute name="enterKeyAction" %>
<%@ attribute name="size" %>
<%@ attribute name="style" %>
<%@ attribute name="timeSelectInput" %>
<%@ attribute name="tooltip" %>
<%@ attribute name="isRequired" type="java.lang.Boolean" %>
<%@ attribute name="tabIndex" %>
<%@ attribute name="rangetype" %> <%-- normal or begin or end or onerange --%>

<c:set var="__style" value="${style}"/>
<c:if test="${fn:length(size) > 0}">
  <c:set var="__width" value="width: ${size}em;"/>
  <c:choose>
    <c:when test="${fn:length(__style) > 0}">
      <c:set var="__style" value="${__style}; ${__width}"/>
    </c:when>
    <c:otherwise>
      <c:set var="__style" value="${__width}"/>
    </c:otherwise>
  </c:choose>
</c:if>
<c:if test="${fn:length(style) > 0}">
  <c:if test="${!fn:endsWith(style, ';')}">
    <c:set var="style" value="${style};"/>
  </c:if>
  <c:set var="__style" value="${style}${__style}"/>
</c:if>

<c:if test="${fn:length(dateformat) == 0}">
  <c:set var="dateformat" value="yyyy-MM-dd HH:mm:ss"/>
</c:if>
<c:set var="dateTimeFormat" value="${fn:split(dateformat, ' ')}"/>
<c:set var="dateFormat" value="${dateTimeFormat[0]}"/>
<c:set var="timeFormat" value="${dateTimeFormat[1]}"/>

<c:set var="dojoProps" value="dateFormat: '${dateFormat}', timeFormat: '${timeFormat}'"/>
<c:if test="${fn:length(timeSelectInput) > 0}"><c:set var="dojoProps" value="${dojoProps}, timeSelectInput: '${timeSelectInput}'"/></c:if>
<c:if test="${fn:length(onchange) > 0}"><c:set var="dojoProps" value="${dojoProps}, submitOnChange: true"/></c:if>
<c:if test="${fn:length(onkeydown) > 0}"><c:set var="dojoProps" value="${dojoProps}, onKeyDown: function(event) {${onkeydown}}"/></c:if>
<c:if test="${isRequired}"><c:set var="dojoProps" value="${dojoProps}, required: true"/></c:if>
<c:if test="${fn:length(tabIndex) > 0}"><c:set var="dojoProps" value="${dojoProps}, tabIndex: ${tabIndex}"/></c:if>
<c:if test="${fn:length(__jfc_calendarFirstDayOfWeek) > 0}"><c:set var="dojoProps" value="${dojoProps}, dayOffset: ${__jfc_calendarFirstDayOfWeek}"/></c:if>
<c:if test="${fn:length(enterKeyAction) > 0}"><c:set var="dojoProps" value="${dojoProps}, enterKeyAction: '${enterKeyAction}'"/></c:if>
<c:if test="${fn:length(rangetype) > 0}"><c:set var="dojoProps" value="${dojoProps}, rangeType: '${rangetype}'"/></c:if>

<div id="${name}" name="${name}" data-dojo-type="wagby/DateTimeTextBox"
 data-dojo-props="${dojoProps}"
<c:if test="${fn:length(tooltip) > 0}">
 title="<fmt:message key='${tooltip}'/>"
</c:if>
<c:if test="${fn:length(__style) > 0}"> style="${__style}"</c:if>
 value="${value.content}">
</div>
